## Class Auth_OpenID_Extension

Description

A base class for accessing extension request and response data for the OpenID 2 protocol.

Located in /Auth/OpenID/Extension.php (line 20)

Direct descendents

Class | Description
--- | ---
Auth_OpenID_PAPE_Request | A Provider Authentication Policy request, sent from a relying party to a provider
Auth_OpenID_PAPE_Response | A Provider Authentication Policy response, sent from a provider to
Auth_OpenID_AX_Message | Abstract class containing common code for attribute exchange messages.
Auth_OpenID_SRegBase | A base class for classes dealing with Simple Registration protocol messages.

Variable Summary
mixed $ns_alias
mixed $ns_uri
Method Summary
void getExtensionArgs ()
void toMessage ( &$message)
Variables
mixed $ns_alias = null (line 26)

Redefined in descendants as:

- Auth_OpenID_PAPE_Request::$ns_alias
- Auth_OpenID_PAPE_Response::$ns_alias
- Auth_OpenID_AX_Message::$ns_alias : ns_alias: The preferred namespace alias for attribute exchange
- Auth_OpenID_SRegRequest::$ns_alias
- Auth_OpenID_SRegResponse::$ns_alias

mixed $ns_uri = null (line 25)

ns_uri: The namespace to which to add the arguments for this

extension

Redefined in descendants as:

- Auth_OpenID_PAPE_Request::$ns_uri
- Auth_OpenID_PAPE_Response::$ns_uri
- Auth_OpenID_AX_Message::$ns_uri

Methods
getExtensionArgs (line 32)

Get the string arguments that should be added to an OpenID message for this extension.

void getExtensionArgs ()

Redefined in descendants as:

- Auth_OpenID_PAPE_Request::getExtensionArgs()
- Auth_OpenID_PAPE_Response::getExtensionArgs()
- Auth_OpenID_AX_FetchRequest::getExtensionArgs() : Get the serialized form of this attribute fetch request.
- Auth_OpenID_AX_FetchResponse::getExtensionArgs() : Serialize this object into arguments in the attribute exchange namespace
- Auth_OpenID_AX_StoreRequest::getExtensionArgs()
- Auth_OpenID_AX_StoreResponse::getExtensionArgs()
- Auth_OpenID_SRegRequest::getExtensionArgs() : Get a dictionary of unqualified simple registration arguments representing this request.
- Auth_OpenID_SRegResponse::getExtensionArgs()

toMessage (line 42)

Add the arguments from this extension to the provided message.

Returns the message with the extension arguments added.

void toMessage ( &$message)

- &$message

Documentation generated on Tue, 21 Apr 2009 11:31:31 -0700 by phpDocumentor 1.3.2